/*-
* renameFiles is a simple tool to rename many files at once
* Copyright (C) 2011 David Hobach
* tripleh [at] hackingthe [dot] net
* 
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
-*/

/** use these declarations to use the standard streams with Qt
* NOTE: qDebug() is an alternative, but makes it impossible to write the output to a file using executable > file.txt
* @author David Hobach
* @version 0.3 / 10.03.2010
*/

#ifndef STREAMS_H_
#define STREAMS_H_

#include <QTextStream>

static QTextStream cout(stdout, QIODevice::WriteOnly);

static QTextStream cerr(stderr, QIODevice::WriteOnly); //NOTE: also can't be used in the form executable > out.txt

static QTextStream cin(stdin, QIODevice::ReadOnly);

#endif
